# A minimalistic Design System

This is a design system with focus on minimalism. The design system is open source and will be used for internal projects.

## Installation

To install simply run.

```
npm i mercury-design
```

## Quick start

This is an example of how to use the different components in the design system.

```javascript

import react, { useState } from 'react'

import { Button, Input } from 'mercury-design'

function Form {

    const[message, setMessage] = useState('')

    return (
        <Input 
            placeholder="Enter message"
            value={message}
            onChange={e => {setMessage(e.target.value)}}
        />
        <Button intent="primary">Submit</Button>
    )
}

```

## To use icons

Icons By Feather (source: https://feathericons.com)

Install package.
```
npm i react-feather
```

Import into js file.
```javascript
import { Bell } from 'react-feather'
```

## Custom styling

__Coming soon!__