"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Banner = void 0;
var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/esm/toConsumableArray"));
var _react = _interopRequireDefault(require("react"));
require("../styles/banner.css");
var Banner = function Banner(_ref) {
  var height = _ref.height,
    source = _ref.source,
    direction = _ref.direction,
    parallax = _ref.parallax,
    roundings = _ref.roundings,
    children = _ref.children;
  var parallaxClass = parallax && "banner-parallax";
  var roundingClasses = roundings || ['leftbottom', 'rightbottom', 'lefttop', 'righttop'];
  return /*#__PURE__*/_react.default.createElement("div", {
    className: ["banner", parallaxClass].concat((0, _toConsumableArray2.default)(roundingClasses)).join(" "),
    style: {
      height: height,
      backgroundImage: "url(".concat(source, ")"),
      backgroundPosition: direction
    }
  }, children);
};
exports.Banner = Banner;