import React from 'react'
import PropTypes from 'prop-types';

import { Padder } from './Padder'

export const Box = ({ children, width, height }) => {

    const boxWidth = width ? width : '100%'
    const boxHeight = height ? height : 'inherit'

    return (
        <div style={{ borderRadius: 35, border: '1px solid #DCDCDC', backgroundColor: '#fff', marginBottom: '1.5em', width: boxWidth, height: boxHeight }}>
            <Padder top="1.5em" bottom="1.5em" left="2em" right="2em">
                {children}
            </Padder>
        </div>
    );
}

Box.propTypes = {
    width: PropTypes.number,
    height: PropTypes.number
};